MenuFactoryConnector(3)

NAME - MenuFactoryConnector

HEADER REQUIRED
#include <gtk--/menufactory.h&gt;>

BASE CLASSES
MenuFactoryConnectorBase(3)

PUBLIC MEMBER INDEX
    MenuFactoryConnector(T *target_widget, void (T::*target_method)(DT), const DT &target_method_arg);
    m_widget(target_widget);
    MenuFactoryConnector(T *target_widget, void (T::*target_method)());
    m_widget(target_widget);

PROTECTED MEMBER INDEX
    virtual void  connectTo(Gtk_MenuItem *m) const;

PRIVATE MEMBER INDEX
    T * m_widget;
    void(T::*m_method);
    void(T::*m_method_no_arg);
    DT  m_method_arg;

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS